curl -G 'https://api.yativo.com/api/v1/card-checkout/orders' \
-H 'X-Api-Key: YOUR_API_KEY' \
-H 'X-Api-Secret: YOUR_API_SECRET' \
--data-urlencode 'status=paid' \
--data-urlencode 'per_page=20'
{
"status": "success",
"status_code": 200,
"message": "Request successful",
"data": {
"data": [
{
"id": "cco_7wq2k9x0m3c8v1b5n6z4l2j8h0g4f6d1",
"customer_id": "4f0c1e1a-8d2b-4c7e-9b1a-3e5f6a7b8c9d",
"reference": "INV-10023",
"description": "Pro plan, 1 month",
"status": "pending",
"currency": "USD",
"amount": "49.99",
"platform_fee": "2.05",
"reserve": "0.00",
"net_amount": "47.94",
"refunded_amount": "0.00",
"disputed_amount": "0.00",
"checkout_url": "<string>",
"payment_methods": [
"<string>"
],
"metadata": {
"plan": "pro"
},
"expires_at": "2023-11-07T05:31:56Z",
"paid_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"pagination": {
"current_page": 123,
"per_page": 123,
"total": 123,
"last_page": 123
}
}
}{
"status": "failed",
"status_code": 403,
"message": "<string>",
"data": {
"error": "Card checkout is not enabled for your account. Contact support to request access.",
"code": "card_checkout_not_enabled"
},
"error": {
"code": "invalid_argument",
"message": "<string>",
"request_id": "req_5f2c9a1e7b3d4c8a6e0f1b2d"
},
"error_details": {
"code": "validation_error",
"message": "The amount field is required.",
"http_status": 422,
"fields": {},
"retryable": false,
"retry_after": 123
}
}Orders
List orders
List your Card Checkout orders, newest first
GET
/
card-checkout
/
orders
curl -G 'https://api.yativo.com/api/v1/card-checkout/orders' \
-H 'X-Api-Key: YOUR_API_KEY' \
-H 'X-Api-Secret: YOUR_API_SECRET' \
--data-urlencode 'status=paid' \
--data-urlencode 'per_page=20'
{
"status": "success",
"status_code": 200,
"message": "Request successful",
"data": {
"data": [
{
"id": "cco_7wq2k9x0m3c8v1b5n6z4l2j8h0g4f6d1",
"customer_id": "4f0c1e1a-8d2b-4c7e-9b1a-3e5f6a7b8c9d",
"reference": "INV-10023",
"description": "Pro plan, 1 month",
"status": "pending",
"currency": "USD",
"amount": "49.99",
"platform_fee": "2.05",
"reserve": "0.00",
"net_amount": "47.94",
"refunded_amount": "0.00",
"disputed_amount": "0.00",
"checkout_url": "<string>",
"payment_methods": [
"<string>"
],
"metadata": {
"plan": "pro"
},
"expires_at": "2023-11-07T05:31:56Z",
"paid_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"pagination": {
"current_page": 123,
"per_page": 123,
"total": 123,
"last_page": 123
}
}
}{
"status": "failed",
"status_code": 403,
"message": "<string>",
"data": {
"error": "Card checkout is not enabled for your account. Contact support to request access.",
"code": "card_checkout_not_enabled"
},
"error": {
"code": "invalid_argument",
"message": "<string>",
"request_id": "req_5f2c9a1e7b3d4c8a6e0f1b2d"
},
"error_details": {
"code": "validation_error",
"message": "The amount field is required.",
"http_status": 422,
"fields": {},
"retryable": false,
"retry_after": 123
}
}Filter with
status, customer_id and reference. data holds the orders and pagination has current_page, per_page, total and last_page.
See Read orders.
curl -G 'https://api.yativo.com/api/v1/card-checkout/orders' \
-H 'X-Api-Key: YOUR_API_KEY' \
-H 'X-Api-Secret: YOUR_API_SECRET' \
--data-urlencode 'status=paid' \
--data-urlencode 'per_page=20'
Authorizations
Your API key (yativo_pk_...) from Developers → API Keys. Send together with X-Api-Secret.
Your API secret (yativo_sk_...), shown once when the key is created.
Query Parameters
Filter by order status, for example paid.
Only orders for this selling customer.
Your order ID.
Required range:
1 <= x <= 100
